<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.data.mapper.XcrAgriculturalSupplementMapper">

    <resultMap id="BaseResultMap" type="com.zksy.data.domain.po.XcrAgriculturalSupplement">
            <id property="pripid" column="PRIPID" jdbcType="VARCHAR"/>
            <result property="etpsId" column="ETPS_ID" jdbcType="VARCHAR"/>
            <result property="postalcode" column="POSTALCODE" jdbcType="VARCHAR"/>
            <result property="tel" column="TEL" jdbcType="VARCHAR"/>
            <result property="email" column="EMAIL" jdbcType="VARCHAR"/>
            <result property="localadm" column="LOCALADM" jdbcType="VARCHAR"/>
            <result property="yiedistrict" column="YIEDISTRICT" jdbcType="VARCHAR"/>
            <result property="proloc" column="PROLOC" jdbcType="VARCHAR"/>
            <result property="calculationmethod" column="CALCULATIONMETHOD" jdbcType="VARCHAR"/>
            <result property="farmernum" column="FARMERNUM" jdbcType="INTEGER"/>
            <result property="farmerporp" column="FARMERPORP" jdbcType="DECIMAL"/>
            <result property="govnum" column="GOVNUM" jdbcType="INTEGER"/>
            <result property="govporp" column="GOVPORP" jdbcType="DECIMAL"/>
            <result property="sExtDatatime" column="S_EXT_DATATIME" jdbcType="TIMESTAMP"/>
            <result property="sExtTimestamp" column="S_EXT_TIMESTAMP" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        PRIPID,ETPS_ID,POSTALCODE,
        TEL,EMAIL,LOCALADM,
        YIEDISTRICT,PROLOC,CALCULATIONMETHOD,
        FARMERNUM,FARMERPORP,GOVNUM,
        GOVPORP,S_EXT_DATATIME,S_EXT_TIMESTAMP
    </sql>
</mapper>
